## org.biojava.bio.search
Class SeqSimilaritySearchHit.ByScoreComparator

    java.lang.Object
      org.biojava.bio.search.SeqSimilaritySearchHit.ByScoreComparator

All Implemented Interfaces:
  Comparator

Enclosing interface:
  SeqSimilaritySearchHit

    public static final class SeqSimilaritySearchHit.ByScoreComparator

extends Object
implements Comparator

`ByScoreComparator` compares `SeqSimilaritySearchHit`s by their score.

Constructor Summary
`SeqSimilaritySearchHit.ByScoreComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SeqSimilaritySearchHit.ByScoreComparator

    public SeqSimilaritySearchHit.ByScoreComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`